# SerialParser

This built-in class is defined as a built-in object, intended to be used for format input via serial port.

It is defined as a `mwx::serial_parser<mwx::alloc_heap<uint8_t>>` type that allocates buffer space for internal use from the heap at initialization (`begin()`).

For details, see class [serparser](/latest_en/api-reference/classes/ser_parser.md) for details.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mwx.twelite.info/latest_en/api-reference/predefined_objs/serialparser.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
